Đến nội dung


huunhantvxdts

Đăng ký: 04 Aug 2010
Offline Đăng nhập: Hôm qua, 08:54 PM
-----

#413117 Vấn Đề Làm Thủ Công Khối Lượng Trên Trắc Ngang Đã Được Giải Quyết

Posted by huunhantvxdts trong 17 February 2017 - 08:39 AM

Bạn ơi cho mình xin một bản với. Mail mình Teamxaydung2016@gmail.com. Mình cảm ơn!

Đã gửi cho bạn


  • 1


#411987 Vấn Đề Làm Thủ Công Khối Lượng Trên Trắc Ngang Đã Được Giải Quyết

Posted by huunhantvxdts trong 23 December 2016 - 08:51 PM

share mình với luôn

Để lại mail mình gửi cho
  • 1


#411970 Vấn Đề Làm Thủ Công Khối Lượng Trên Trắc Ngang Đã Được Giải Quyết

Posted by huunhantvxdts trong 23 December 2016 - 12:47 PM

Lấy khối lượng trắc ngang chuyển qua excell
https://youtu.be/H1necTUJU6w
Tính khối lượng trên từng trắc ngang
https://youtu.be/7NInPky8G1M
  • 5


#409736 Xin Lisp Gióng Thẳng Hàng Đối Tượng

Posted by huunhantvxdts trong 28 October 2016 - 09:38 AM

Cho mình xin lisp gióng các đối tượng sao cho thẳng một đường thẳng với.

Như chọn nhiều đối tượng sau đó. pick vào 2 điểm nó sẽ xếp thành 1 đường thẳng vào 2 điểm đó.( cùng chung trục X hoặc Y)

Xem cái này của bác Ketxu có đúng không lấy về mà làm

http://www.cadviet.c...xep-thang-hang/


  • 1


#409732 Làm Sao Vẽ Lại Bản Vẽ Mà Trước Đó Đã Chạy Phần Mền Nova Một Cách Nhanh Nhất C...

Posted by huunhantvxdts trong 28 October 2016 - 09:20 AM

Đam mê nên viết lỡ mai sau gặp em nó hehehe

https://youtu.be/oexJPx5yETQ


  • 1


#406557 Việc Xuất Block Thuộc Tính Từ Excel Sang Autocad Bằng Vba

Posted by huunhantvxdts trong 23 August 2016 - 08:58 AM

bạn gia_bach cho mình hỏi nếu mà mình muốn update giá trị của ATT từ bảng execel sang cad thì làm thế nào? tức là cái bảng excel đó xuất block có các giá trị ATT đi kèm ví dụ là xuất block là mặt cắt kênh có cao độ đi kèm chính là các ATT, nếu mình thay đổi cao độ trong bảng excel thì làm thế nào để cập nhật lại giá trị đó bên cad.

Từ cad bạn xuất ra file *.TXT bằng lệnh attout, sau đó mở file đó lên sửa những cái muốn sửa save sau đó dùng lệnh attin


  • 1


#406502 [Nhờ Chỉnh Sửa] Lisp Tính Diện Tích Trên Nhiều Trắc Ngang

Posted by huunhantvxdts trong 22 August 2016 - 07:42 AM

cho mình hỏi là mình dùng trên file của bạn thì ok nhưng ứng dụng vào bản vẽ của mình thì nó báo Layer "Tinh dien tich TN" already exists. là sao bạn nhỉ?

Báo layer đã có không phải là lỗi. Chắc file của bạn không theo chuẩn của mình, để chạy được file phải xuất từ các phần mềm ra (nova hoặc TDT). Bạn gửi file lên mình kiểm tra cho.


  • 1


#398991 Lisp Tính Số Lượng Đai Và Ghi Ra Thành Text

Posted by huunhantvxdts trong 28 April 2016 - 07:33 AM

 

Tuy chủ thót chưa có ý kiến và giám thị không giải thích đề ra, nhưng cá nhân tôi cho rằng đáp án mới giải quyết 1 phần của vấn đề.

VD : 7d6a150 + 9d6a200 cho k/quả là 7+9=15 (cùng đường kính d6)

nhưng với t/hợp 7d6a150 + 9d8a200 kết quả là gì? (khác đ/kính d6 + d8)
Bạn gia bạch có thể giúp mình trong trường hợp 7d6a150 + 9d8a200 được không, mình muốn cho ra đáp số là: 7d6, 9d8

Nếu vậy thì đúng là đỡ phải cộng trừ nhân chia

Thank yous mọi người

 

Làm cái này cho bạn thật sự rất khó (khó là vì không biết mục đích là gì??? Nó được sắp xếp ra sao???) giống như trên mình đã nói làm nhưng rất mơ hồ


  • 1


#398863 Lisp Tính Số Lượng Đai Và Ghi Ra Thành Text

Posted by huunhantvxdts trong 27 April 2016 - 08:42 AM

 

Đây bạn, mình đính kèm bản vẽ và hình ảnh đây, muốn gì có đó luôn kk, giúp mình nhé

149122_cadviet1.jpghttp://www.cadviet.c...t_ra_text_1.dwg

 

Cố gắng làm thêm tí nữa cũng để luyện tay nghề


(defun C:tacht (/ ss tong text point giatri)
(vl-load-com)
(defun ss2ent (ss / sodt index lstent)  
(setq sodt (if ss (sslength ss) 0)    
index 0  )  
(repeat sodt 
(setq ent (ssname ss index)
index (1+ index)
lstent (cons ent lstent))
)  
(reverse lstent))
(prompt "\nChon doi tuong Text.")
(setq ss (ssget '((0 . "TEXT")))
lst (ss2ent ss)
lst (vl-sort lst '(lambda (e1 e2) (< (cadr (assoc 10 (entget e1))) (cadr (assoc 10 (entget e2))))))) 
(setq tong 0)
(setq chuoi "")
(foreach enxt lst
(setq giatri (cdr (assoc 1 (entget enxt))))
(setq text (substr giatri 1 (- (vl-string-search "C" giatri) 2)))
(setq chuoi (strcat chuoi "+" text))
(setq tong (+ (atof text) tong))
)
(setq chuoi (substr chuoi 2 (- (strlen chuoi) 1)))
(setq point (getpoint "\n Chon diem ghi dien tich: "))
(setq dientext (strcat chuoi " = " (rtos tong 2 0)))
(command "TEXT" point 80 0 dientext)
(princ) 
)

  • 2


#398799 Lisp Tính Số Lượng Đai Và Ghi Ra Thành Text

Posted by huunhantvxdts trong 26 April 2016 - 02:48 PM

Ok mình đã chạy thử lisp rất ok và đúng ý mình, cám ơn bạn.

H các bạn giúp mình 1 vấn đề nữa (được voi đòi tiên hehe)

Cộng các số đằng trước của text, ví dụ: 7d6a1500   12d6a200  ..... cộng lại cho kết quả là 7+12=19

Quá mơ hồ không biết nó nằm chỗ mô như thế nào???


  • 1


#398667 Lisp Tính Số Lượng Đai Và Ghi Ra Thành Text

Posted by huunhantvxdts trong 25 April 2016 - 09:38 AM

Chào các bạn, mình có tìm trong diễn đàn cái lisp này mà chưa được, các bạn giúp dùm mình, mình giải thích như sau:

 

***gõ lệnh
***lisp sẽ yêu cầu mình chọn dim, ví dụ dim 950 như hình, sau đó
***lisp yêu cầu mình gõ bước cốt đai ví dụ 150, sau đó
***lisp sẽ hỏi đường kính cốt đai là bao nhiêu, mình gõ 6, sau đó
***lisp yêu cầu pick vị trí ngoài màn hình để ghi text
***kết quả là  7∅6a150
***dùng text arial, cao text là 80 nha các bạn

***cách tính lấy 950/150 được 6.3333 lấy phần nguyên la 6+1=7∅6a150 (không quan tâm là kết quả dư bao nhiêu, cứ lấy phần nguyên + 1 la được)

 

***http://www.cadviet.c...uat_ra_text.dwg
 

Bạn thử cái này thế nào??

trước khi chạy bạn chuyển style text hiện hành về arial 

lisp chạy theo style text và layer hiện hành

http://www.cadviet.c...6960_lamthu.lsp


  • 1


#397560 [Nhờ chỉnh sửa] Lisp hatch nhanh.

Posted by huunhantvxdts trong 12 April 2016 - 11:45 AM

cảm ơn anh, nhưng cái lực nét của Hatch vẫn là Bylayer , không thấy thay đổi lực nét thành lineweight = 0.09.

Cách nhanh nhất là chuyển lineweight về 0.09 rồi dùng lisp.


  • 1


#397500 [Nhờ chỉnh sửa] Lisp hatch nhanh.

Posted by huunhantvxdts trong 12 April 2016 - 07:58 AM

 

Nhờ các anh giúp em sửa đoạn code dưới đây có lực nét của Hatch (lineweight = 0.9) giúp em với. em tìm mọi cách mà không được!

(defun c:Hh(/)  (vl-load-com)
 (command "-boundary" "") (SETQ A (GETPOINT "==> PICK DIEM : "))
(command "-layer" "m" "Hatch" "c" "8" "" "") 
 (command "bhatch" "P" "ANSI31" "20" "0" A "")
 (princ))

Bạn sửa lại dòng 

(command "-layer" "m" "Hatch" "c" "8" "" "")

thành

(command "-layer" "m" "Hatch" "c" "8" "" "LWeight" 0.09 "" "") 


  • 1


#395162 Nhờ diễn đàn sửa lisp ghi khoảng cách, cao độ trên cắt ngang

Posted by huunhantvxdts trong 13 March 2016 - 10:11 AM

vì mình định sau khi đo xong khoảng cách tới tim và cao độ xog sẽ xuất các text đó + với text lý trình RA excel theo thứ tự từng mặt cắt nửa nên muốn nhờ các bạn chuyển cái block đó về dạng text : " cao độ ; k/c toi tim " thôi 

Chắc bạn làm phân lớp đất đắp????

có cái này bạn tham khảo xem thế nào??

http://www.cadviet.c...-dong-moi-viet/


  • 1


#394896 Hỏi Về Việc Tạo Menu Trong Cad

Posted by huunhantvxdts trong 09 March 2016 - 04:11 PM

 

Cảm ơn anh Duy, thật sự thì em cảm ơn anh nhiều,

nhưng khi em load file mà anh đã nêu ở trên và gõ lệnh VMN theo huong dẫn

thì bị báo lỗi như sau:

Gioi thieu menu @gtmn

; error: bad argument type: streamp nil

 

Command: AP APPLOAD vmn_xbmn_tlmn_slmn_glmn_btmn_sdmn_dtmn_xmn_xmnkxl_xmnxl_gtmn_gtmnxl.lsp successfully loaded.
Command:
Command:
Command: VMN
Gioi thieu menu @gtmn
; error: bad argument type: streamp nil
 
mong anh hỗ trợ @

 

Bạn phải tạo 1 thư mục "menu" trong ổ E rồi chép lisp đó vào load lisp lên và làm

Mới vọc xong thấy hay hay.


  • 1